updateFileMetadata
Update file metadata, without updating the file content.
PUT
/v1/files/{id}Authorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-bot-idstringBot id
x-integration-id?stringIntegration id
x-integration-alias?stringIntegration alias
x-integration-name?stringIntegration name
x-user-id?stringUser Id
x-user-role?stringUser Role
Path parameters
idstringFile ID or Key
Request body
File metadata to update.
metadata?anyCustom metadata for the file expressed as an object of key-value pairs. Omit to keep existing metadata intact. Any existing metadata keys not included will be preserved. New keys will be added. To delete a metadata key, set its value to `null`.
tags?objectThe file tags to update as an object of key-value pairs with `string` (text) values. Omit to keep existing tags intact. Any existing tags not included will be preserved. New tags will be added. To delete a tag, set its value to `null`.
accessPolicies?enum<string>[]New access policies to set for the file. Omit to keep existing policies intact.
expiresAt?string | nullExpiry timestamp in ISO 8601 format with UTC timezone. After expiry, the File will be deleted. Must be in the future. Cannot be more than 90 days from now. The value up to minutes is considered. Seconds and milliseconds are ignored. Omit to keep the existing expiry intact. Set to `null` to remove the expiry.(date-time)
Response
An object containing the updated file metadata.
fileobject